import java.io.*;
//import LeeKesler;

class LeeKeslerTest
{
 public static void main(String s[]) throws IOException
 {
   double V,T,P;
   Text cin=new Text();
   String isim="methanol";
   //System.out.print("isim = ");
   //isim=cin.readString();
   LeeKesler xx=new LeeKesler(isim);
   System.out.println(xx.properties());
   P=5.0;//bar
   T=20.0+273.15;
   double h1=xx.h_TP_LK_L(T,P);
   System.out.println("T1="+T+"P1="+P+"h1="+h1);
   T=xx.T_P_LK_SV(P);   
   double h2=xx.h_T_LK_SL(T);
   System.out.println("T2="+T+"P2="+P+"h2="+h2);
   double h3=xx.h_T_LK_SV(T);
   System.out.println("T3="+T+"P3="+P+"h3="+h3);
   T=473.0;
   double h4=xx.h_TP_LK_V(T,P);
   System.out.println("T4="+T+"P4="+P+"h4="+h4);
   /*
   System.out.println("T="+T);
   P=xx.P_T_LK_SV(T);
   System.out.println("P_T_LK_SV   = "+P);
   V=xx.V_T_LK_SV(T);
   System.out.println("V_T_LK_SV   = "+V);
   double V1=xx.V_TP_LK_V(T,P);
   System.out.println("V_TP_LK_V   = "+V1);
   double V2=xx.V_TP_LK_L(T,P);
   System.out.println("V_TP_LK_L   = "+V2);
   double Z1=xx.Z_TP_LK_V(T,P);
   System.out.println("Z_TP_LK_V   = "+Z1);
   double Z2=xx.Z_TP_LK_L(T,P);
   System.out.println("Z_TP_LK_L   = "+Z2);
   T=273.15;//K
    System.out.println("T="+T);
   P=xx.P_T_LK_SV(T);
   System.out.println("P_T_LK_SV   = "+P);
   V=xx.V_T_LK_SV(T);
   System.out.println("V_T_LK_SV   = "+V);
   V1=xx.V_TP_LK_V(T,P);
   System.out.println("V_TP_LK_V   = "+V1);
   V2=xx.V_TP_LK_L(T,P);
   System.out.println("V_TP_LK_L   = "+V2);
   double h=xx.h_TP_LK_V(T,P);
   System.out.println("h_TP_LK_v   = "+h);
   double dh=xx.dH_T_LK_SVL(T);
   System.out.println("dh_T_LK_SVL   = "+dh);
   h1=h-dh;
   System.out.println("h_T_LK_SL   = "+h1);
   
   System.out.print("P = ");
   P=cin.readDouble();
   System.out.print("T = ");
   T=cin.readDouble();
   System.out.println("\nV   = "+xx.V_TP_LK_V(T,P));
   System.out.println("VL   = "+xx.V_TP_LK_L(T,P));
   System.out.println("V_T_BE_SL   = "+xx.V_T_BE_SL(T));
   V=xx.V_TP_LK_V(T,P);
   System.out.println("V_TP_LK_V   = "+V);
   System.out.println("Z_TV_LK_V(T,V)   = "+xx.Z_TV_LK_V(T,V));
   System.out.println("Z_TP_PR_V(T,P)   = "+xx.Z_TP_PR_V(T,P));
   System.out.println("Z_TP_LK_V(T,P)   = "+xx.Z_TP_LK_V(T,P));
   System.out.println("Z_TP_LK_L(T,P)   = "+xx.Z_TP_LK_L(T,P));
   System.out.println("P_TV_LK_V(T,V)   = "+xx.P_TV_LK_V(T,xx.V_TP_LK_V(T,P)));
   System.out.println("P_T_SV   = "+xx.P_T_SV(T));
   System.out.println("T_P_SV   = "+xx.T_P_SV(P));
   System.out.println("P_T_WE_SV   = "+xx.P_T_WE_SV(T));
   System.out.println("T_P_WE_SV   = "+xx.T_P_WE_SV(P));
   System.out.println("P_T_LK_SV   = "+xx.P_T_LK_SV(T));
   System.out.println("T_P_LK_SV   = "+xx.T_P_LK_SV(P));
   System.out.println("P_T_GT_SV   = "+xx.P_T_GT_SV(T));
   System.out.println("T_P_GT_SV   = "+xx.T_P_GT_SV(P));
   System.out.println("dH_P_TS_SVL  = "+xx.dH_P_TS_SVL(P));
   System.out.println("dH_P_LK_SVL  = "+xx.dH_P_LK_SVL(P));
   System.out.println("dH_P_WE_SVL  = "+xx.dH_P_WE_SVL(P));
   System.out.println("dH_P_VE_SVL  = "+xx.dH_P_VE_SVL(P));
   System.out.println("Cp_T_IG_V   = "+xx.Cp_T_IG_V(T));
   System.out.println("Cp_T_BR_SL   = "+xx.Cp_T_BR_SL(T));
   System.out.println("Cp_T_BR_SL   = "+xx.Cp_T_BR_SL(T));
   System.out.println("dh_TP_LK_V   = "+xx.dh_TP_LK_V(T,P));
   System.out.println("dh_TP_LK_L   = "+xx.dh_TP_LK_L(T,P));
   System.out.println("dh_TP_LK_V   = "+xx.dh_TP_LK_V(T,P));
   System.out.println("h_T_IG_V   = "+xx.h_T_IG_V(T));
   System.out.println("h_TP_LK_V   = "+xx.h_TP_LK_V(T,P));
   //System.out.println(xx.toString(T,P,0));
   //System.out.println(xx.zone(T,P,0));
   */
   }
}
